PHPExcel_Shared

# Class: PHPExcel_Shared_ZipStreamWrapper

Source Location: /PHPExcel/Shared/ZipStreamWrapper.php

### Class Overview

PHPExcel_Shared_ZipStreamWrapper

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- register
- stream_eof
- stream_open
- stream_read
- stream_seek
- stream_stat
- stream_tell

### Class Details

[line 36]
PHPExcel_Shared_ZipStreamWrapper

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### static method register [line 68]

`static void register( )`

Register wrapper

#### Tags:

access: | public

[ Top ]

### method stream_eof [line 139]

`bool stream_eof( )`

EOF stream

#### Tags:

access: | public

[ Top ]

### method stream_open [line 82]

`bool stream_open( string $path, string $mode, int $options, &$opened_path, string &$openedPath)`

Implements support for fopen().

#### Tags:

return: | true on success
access: | public

#### Parameters:

string | $path | resource name including scheme, e.g.
string | $mode | only "r" is supported
int | $options | mask of STREAM_REPORT_ERRORS and STREAM_USE_PATH
string | &$openedPath | absolute path of the opened stream (out parameter)
| &$opened_path |

[ Top ]

### method stream_read [line 118]

`string stream_read( int $count)`

Implements support for fread(), fgets() etc.

#### Parameters:

int | $count | maximum number of bytes to read

[ Top ]

### method stream_seek [line 150]

`bool stream_seek( int $offset, int $whence)`

Seek stream

#### Tags:

access: | public

#### Parameters:

int | $offset | byte offset
int | $whence | SEEK_SET, SEEK_CUR or SEEK_END

[ Top ]

### method stream_stat [line 108]

`boolean stream_stat( )`

Implements support for fstat().

#### Tags:

access: | public

[ Top ]

### method stream_tell [line 130]

`int stream_tell( )`

Returns the position of the file pointer, i.e. its offset into the file stream. Implements support for ftell().

#### Tags:

access: | public

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:18:19 +0200 by phpDocumentor 1.4.4